#ifndef PROTOTYPE1_SRC_L1_ANNE_CODEGEN_FROM_L1_5_H
#define PROTOTYPE1_SRC_L1_ANNE_CODEGEN_FROM_L1_5_H

#include "../codegen/util_template_inst.h"

/* ambassador of next level */
void generate_l1_headers_for_l1_5() {
    mkdir_nofail("l1/eve/embassy_l1_5");
    SpanU8 l = cstr("l1");
    SpanU8 ns = cstr("embassy_l1_5");
    generate_eve_span_company_for_primitive(l, ns, cstr("NamedVariableRecordRef"), false, true);
    generate_eve_span_company_for_primitive(l, ns, cstr("NamedMethodSignatureRecordRef"), false, true);
    generate_eve_span_company_for_primitive(l, ns, cstr("BufRBTreeNode"), true, false);
}

#endif